from PIL import Image
import sys

with Image.open(sys.argv[1]) as im:
    for i in range(im.n_frames):
        im.seek(i)
        rgb_im = im.convert("RGBA")
        pixels = rgb_im.load()
        for y in range(rgb_im.size[1]):
            for x in range(rgb_im.size[0]):
                if pixels[x, y] == (0, 0, 0, 0): pixels[x, y] = (255, 255, 255, 255)
        rgb_im.save("bj_s"+str(i)+".png")
